input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

:active, :hover, :focus {
    outline: 0 !important;
    outline-offset: 0 !important;
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    width: 100%;
    display: block;
    font-weight: 400;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(42);
        outline: none;
        color: white;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(12);
        line-height: rem(20);
        border-radius: rem(6);
        padding: rem(10) rem(12);
        background: #222;
        display: inline-block;
        vertical-align: middle;
        border: rem(1) solid #222;

        &::placeholder {
            color: rgba(255, 255, 255, 0.5);
        }

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            border-color: rgba(255, 255, 255, 0.3);

            &::placeholder {
                color:transparent;
            }

            & + .field__icon {
                opacity: 1;
            }
        }

        &.error {
            border-color: red !important;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &__icon {
        opacity: .6;
        fill: #5b3d38;
        font-size: 0;
        line-height: 0;
        top: calc(50% - 0.5rem);
        right: rem(13);
        height: rem(16);
        position: absolute;
        display: inline-block;
    }

    &--icon {

        #{$input-selector} {
            padding-left: rem(48);
        }
    }

    &--md {

        #{$input-selector} {
            height: rem(52);
            font-size: rem(14);
            padding: rem(15) rem(12);
        }

        textarea {
            height: auto;
            resize: none;
        }
    }

    &--gray {

        #{$input-selector} {
            background: #353535;
            border-color: #353535;
        }
    }
}
